wake-up-neo.com

Die ausführbare Datei von 'Webdrivers' hat möglicherweise falsche Berechtigungen. Bitte besuchen Sie https://sites.google.com/a/chromium.org/chromedriver/home

Ich habe mir beide Dokumentationen angesehen und keine Antwort gefunden.

Ich habe versucht, InstaPy eine Instagram-API für Python zu verwenden. Nachdem ich mit mehreren Fehlern gescheitert bin und davon ausgegangen bin, dass InstaPy nur ein paar Probleme hat, habe ich versucht, es mit Hilfe von Selin zu schreiben. Nach dem Einfügen des Beispielcodes und dem Ändern nach meinem Geschmack habe ich nur sichergestellt, dass dieser funktioniert. Ich habe einen neuen Fehler anstelle des alten Fehlers erhalten, der besagt, dass die Berechtigungen möglicherweise nicht richtig sind. Ich habe versucht, neu zu installieren und als Admin auszuführen, aber nichts funktioniert. wie kann ich das beheben und/oder was bedeutet das?

Code:

import time
from Selenium import webdriver

driver = webdriver.Chrome('C:\Webdrivers')  # Optional argument, if not specified will search path.
driver.get('http://www.google.com/xhtml');
time.sleep(5) # Let the user actually see something!
search_box = driver.find_element_by_name('q')
search_box.send_keys('ChromeDriver')
search_box.submit()
time.sleep(5) # Let the user actually see something!
driver.quit()

Error:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Python36-32\lib\site-packages\Selenium\webdriver\common\service.py", line 74, in start
    stdout=self.log_file, stderr=self.log_file)
  File "C:\Program Files (x86)\Python36-32\lib\subprocess.py", line 707, in __init__
    restore_signals, start_new_session)
  File "C:\Program Files (x86)\Python36-32\lib\subprocess.py", line 990, in _execute_child
    startupinfo)
PermissionError: [WinError 5] Access is denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Webdrivers\RawBot.py", line 5, in <module>
    driver = webdriver.Chrome('C:\Webdrivers')  # Optional argument, if not specified will search path.
  File "C:\Program Files (x86)\Python36-32\lib\site-packages\Selenium\webdriver\chrome\webdriver.py", line 62, in __init__
    self.service.start()
  File "C:\Program Files (x86)\Python36-32\lib\site-packages\Selenium\webdriver\common\service.py", line 86, in start
    os.path.basename(self.path), self.start_error_message)
Selenium.common.exceptions.WebDriverException: Message: 'Webdrivers' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home
7
Ash1x

Der Fehler sagt allesWebDriverException: Message: 'Webdrivers' executable may have wrong permissions.

Sie haben ausprobiert:

driver = webdriver.Chrome('C:\Webdrivers')  # Optional argument, if not specified will search path.

Ein paar Wörter:

  1. Wenn Sie unter Windows den chromedriver-Binärpfad explizit angeben, müssen Sie ihn zusammen mit der binären Erweiterung angeben.

  2. Unter Windows müssen Sie den chromedriver-Binärpfad erwähnen, indem Sie entweder den einfachen vorderen Schrägstrich (/) zusammen mit dem rohen (r)-Schalter verwenden oder Sie müssen den hinterlegten hinteren Schrägstrich (\\) verwenden.

  3. Also wird die Linie sein:

    driver = webdriver.Chrome(executable_path=r'C:/Utility/BrowserDrivers/chromedriver.exe')
    
14
DebanjanB

Dies wurde gelöst, wenn Sie den vollständigen Dateinamen eingeben, der "chromedriver.exe" ist. Versuchen Sie dies, wenn Sie unter Windows sind

1
Ramana

wenn Sie chrome verwenden, müssen Sie den vollständigen Pfad des Chromedrivers angeben. Suchen Sie nach dem Verzeichnis, in dem sich die ausführbare Chromedriver-Datei befindet. Klicken Sie auf Shift + Rechtsklick auf die ausführbare Datei. Wählen Sie "Kopieren als" Pfad "und fügen Sie ihn in Ihr Skript ein. Vergessen Sie nicht, einen doppelten Backslash zu verwenden

so sollte es sein:

driver = webdriver.Chrome('C:\\Utility\\BrowserDrivers\\chromedriver.exe')
0
Yuvraj Singh

Für mich hat keine der obigen Antworten funktioniert. Aber das Verschieben der chromedriver.exe auf einen neuen Pfad (Desktop in meinem Fall) löste es.

path = "C:/Users/YOUR_USER/Desktop/chromedriver/chromedriver.exe"
0
Gregor